<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
      <a class="navbar-brand" href="#">ONAPaaS</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item" [routerLinkActive]="['active']" [routerLinkActiveOptions] = "{exact:true}">
            <a class="nav-link" [routerLink]="['/']">Home <span></span></a>
          </li>
        </ul>
        <ul class="navbar-nav ml-auto">
          <li class="nav-item" *ngIf="authService.loggedIn()" [routerLinkActive]="['active']" [routerLinkActiveOptions] = "{exact:true}">
            <a class="nav-link" [routerLink]="['/dashboard']">Dashboard </a>
          </li>
          <li class="nav-item" *ngIf="authService.loggedIn()" [routerLinkActive]="['active']" [routerLinkActiveOptions] = "{exact:true}">
            <a class="nav-link" [routerLink]="['/profile']">Profile </a>
          </li>
          <li class="nav-item" *ngIf="!authService.loggedIn()" [routerLinkActive]="['active']" [routerLinkActiveOptions] = "{exact:true}">
            <a class="nav-link" [routerLink]="['/login']">Login </a>
          </li>
          <li class="nav-item" *ngIf="authService.loggedIn() && username =='admin'" [routerLinkActive]="['active']" [routerLinkActiveOptions] = "{exact:true}">
            <a class="nav-link" [routerLink]="['/register']">Register</a>
          </li>
          <li class="nav-item" *ngIf="authService.loggedIn()"><a class="nav-link" (click)="onLogoutClick()" href="#">Logout</a>
          </li>
        </ul>
      </div>
  </nav>
